---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: worker
  namespace: system-log
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/system_log_worker:c32c2f279673d1b5baa872b9d27872b0f3cc71cf

        envs:
          - name: APP_NAME
            value:
              _default: "system_log"

          - name: APP_VERSION
            value:
              _default: "0.0.1"

          - name: LOG_LEVEL
            value:
              _default: "INFO"

          - name: HTTP_HOST
            value:
              _default: "0.0.0.0"

          - name: HTTP_PORT
            value:
              _default: "8000"

          - name: NAMESPACE
            value:
              _default: "sarex-system-log"

          - name: DOCUMENTATIONS_URL
            value:
              _default: "http://documentations-service.documentations.svc.cluster.local:8080"

          - name: POSTGRES_ADDRESS
            value:
              _default: "postgres-service"

          - name: POSTGRES_PORT
            value:
              _default: "5432"

          - name: POSTGRES_DB
            value:
              _default: "system_log"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "3"

          - name: ENABLE_SSL
            value:
              _default: "0"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"
